// Copyright 2015 Workiva Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

library w_transport.test.integration.http.mock_endpoints.reflect;

import 'dart:convert';

import 'package:w_transport/w_transport_mock.dart';

void mockReflectEndpoint(Uri uri) {
  MockTransports.http.when(uri, (FinalizedRequest request) async {
    Map reflection = {
      'method': request.method,
      'path': request.uri.path,
      'headers': request.headers,
    };
    return new MockResponse.ok(body: JSON.encode(reflection));
  });
}
